## pyxb 1.2.3+dfsg

=== debian/changelog ===
pyxb (1.2.3+dfsg-2) unstable; urgency=low

  * Remove override_dh_install target from debian/rules as it contained
    left-over debugging code.
  * Wrap Dependencies in debian/control.
  * Remove emtpy line at the end of debian/control.
  * Sort patterns for installed files in debian/python-pyxb.install.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 25 Apr 2014 19:20:07 +0200

pyxb (1.2.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #651170).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 22 Apr 2014 14:56:08 +0200
