=== debian/control ===
Source: pyxb
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               docbook-to-man,
               python-all,
               python-sphinx (>= 1.0.7+dfsg),
               python-unittest2
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: http://pyxb.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxb/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxb/trunk/

Package: python-pyxb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-pyxb-doc
Description: Python XML Schema Bindings
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema

Package: python-pyxb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python XML Schema Bindings (Documentation)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the documentation.

Package: python-pyxb-bundles-common
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (common bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt common XML bindings.

Package: python-pyxb-bundles-wssplat
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (WS-* bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt WS-* bindings.

Package: python-pyxb-bundles-dc
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (Dublin Core bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt Dublin Core Metadata Initiative bindings.

Package: python-pyxb-bundles-saml20
Architecture: all
Depends: python-pyxb (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: Python XML Schema Bindings (SAML bindings)
 PyXB is a pure Python package that generates Python code for classes that
 correspond to data structures defined by XMLSchema. In concept it is similar to
 JAXB for Java and CodeSynthesis XSD for C++.
 .
 The major goals of PyXB are:
  * Provide a generated Python interface that is “Pythonic”, meaning similar to
    one that would have been hand-written:
    + Attributes and elements are Python properties, with name conflicts
      resolved in favor of elements
    + Elements with maxOccurs larger than 1 are stored as Python lists
    + Bindings for type extensions inherit from the binding for the base type
    + Enumeration constraints are exposed as class (constant) variables
  * Support bi-directional conversion (document to Python and back)
  * Allow easy customization of the generated bindings to provide functionality
    along with content
  * Support all XMLSchema features that are in common use, including:
    + complex content models (nested all/choice/sequence)
    + cross-namespace dependencies
    + include and import directives
    + constraints on simple types
  * Validate the documents against their schema
 .
 This package contains the prebuilt Security Assertion Markup Language bindings.
