=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	set -e ; \
	for doc in pyxbdump pyxbgen pyxbwsdl; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done
	dh_auto_build
	PYTHONPATH=.:doc sphinx-build -b html -d _build/.doctrees -N doc _build/html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(shell pyversions -r); do \
		$$py setup.py test; \
	done
endif

override_dh_clean:
	rm -rf _build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- doc/releases.txt
