## pyxb 1.2.4+dfsg

=== debian/changelog ===
pyxb (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #764338).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Add Python3 variants of all binary packages.
  * Rename patch to include numeric index (01-remove_remote_logo.patch).
  * Add 02-setup_open_unicode.patch to make tests work with Python3.
  * Bump Standards-Version to 3.9.6.
  * Rename BSD to BSD-2-clause in d/copyright.
  * Update years in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 24 Oct 2014 23:43:11 +0200
