=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg// \
http://sf.net/pyxb/PyXB-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
