## pyxb 1.2.5

=== debian/changelog ===
pyxb (1.2.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Change my email address to fladi@debian.org.
  * Use python3-sphinx to build documentation.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Sep 2016 08:33:47 +0200
