=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                docbook-to-man,
                python-all,
-               python-sphinx (>= 1.0.7+dfsg),
                python-unittest2,
-               python3-all
-Standards-Version: 3.9.6
+               python3-all,
+               python3-sphinx
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://pyxb.sourceforge.net/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyxb/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyxb/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyxb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyxb.git
 
 Package: python-pyxb
 Architecture: all
@@ -258,3 +258,4 @@
  This package contains the prebuilt Dublin Core Metadata Initiative bindings
  for Python2.
 
+Package: python3-pyxb-bundles-dc
