=== debian/changelog ===
pyxb (1.2.6+dfsg-3) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jul 2019 20:37:06 +0200

pyxb (1.2.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Andreas Tille ]
  * Build-Depends: python3-gdbm, python3-tk
    Closes: #896614
  * d/control:
    - Standards-Version: 4.1.4
    - Testsuite: autopkgtest-pkg-python
    - Sorting fields by cme

 -- Andreas Tille <tille@debian.org>  Mon, 30 Apr 2018 07:20:22 +0200

pyxb (1.2.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Repack because of pre-built documentation.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Add patch to remove sphinx_epytext.
  * Remove jquery.js and Expat license from d/copyright because of DFSG
    repack.
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 26 Sep 2017 21:26:00 +0200
