=== debian/control ===
--- 
+++ 
@@ -1,51 +1,20 @@
 Source: pyxb
-Section: python
-Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                docbook-to-man,
-               python-all,
-               python-unittest2,
                python3-all,
-               python3-sphinx
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
+               python3-sphinx,
+               python3-gdbm,
+               python3-tk
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyxb
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyxb.git
 Homepage: http://pyxb.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyxb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyxb.git
-
-Package: python-pyxb
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Suggests: python-pyxb-doc
-Description: Python XML Schema Bindings (Python2 version)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the Python 2 version of the library.
 
 Package: python3-pyxb
 Architecture: all
@@ -78,8 +47,8 @@
  This package contains the Python 3 version of the library.
 
 Package: python-pyxb-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: Python XML Schema Bindings (Documentation)
@@ -106,36 +75,6 @@
   * Validate the documents against their schema
  .
  This package contains the documentation.
-
-Package: python-pyxb-bundles-common
-Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (common bindings for Python2)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the prebuilt common XML bindings for Python2.
 
 Package: python3-pyxb-bundles-common
 Architecture: all
@@ -167,36 +106,6 @@
  .
  This package contains the prebuilt common XML bindings for Python3.
 
-Package: python-pyxb-bundles-wssplat
-Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (WS-* bindings for Python2)
- PyXB is a pure Python package that generates Python code for classes that
- correspond to data structures defined by XMLSchema. In concept it is similar to
- JAXB for Java and CodeSynthesis XSD for C++.
- .
- The major goals of PyXB are:
-  * Provide a generated Python interface that is “Pythonic”, meaning similar to
-    one that would have been hand-written:
-    + Attributes and elements are Python properties, with name conflicts
-      resolved in favor of elements
-    + Elements with maxOccurs larger than 1 are stored as Python lists
-    + Bindings for type extensions inherit from the binding for the base type
-    + Enumeration constraints are exposed as class (constant) variables
-  * Support bi-directional conversion (document to Python and back)
-  * Allow easy customization of the generated bindings to provide functionality
-    along with content
-  * Support all XMLSchema features that are in common use, including:
-    + complex content models (nested all/choice/sequence)
-    + cross-namespace dependencies
-    + include and import directives
-    + constraints on simple types
-  * Validate the documents against their schema
- .
- This package contains the prebuilt WS-* bindings for Python2.
-
 Package: python3-pyxb-bundles-wssplat
 Architecture: all
 Depends: python3-pyxb (= ${binary:Version}),
@@ -227,12 +136,12 @@
  .
  This package contains the prebuilt WS-* bindings for Python3.
 
-Package: python-pyxb-bundles-dc
+Package: python3-pyxb-bundles-dc
 Architecture: all
-Depends: python-pyxb (= ${binary:Version}),
+Depends: python3-pyxb (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Description: Python XML Schema Bindings (Dublin Core bindings for Python2)
+         ${python3:Depends}
+Description: Python XML Schema Bindings (Dublin Core bindings for Python3)
  PyXB is a pure Python package that generates Python code for classes that
  correspond to data structures defined by XMLSchema. In concept it is similar to
  JAXB for Java and CodeSynthesis XSD for C++.
@@ -256,6 +165,35 @@
   * Validate the documents against their schema
  .
  This package contains the prebuilt Dublin Core Metadata Initiative bindings
- for Python2.
+ for Python3.
 
-Package: python3-pyxb-bundles-dc
+Package: python3-pyxb-bundles-saml20
+Architecture: all
+Depends: python3-pyxb (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Python XML Schema Bindings (SAML bindings for Python3)
+ PyXB is a pure Python package that generates Python code for classes that
+ correspond to data structures defined by XMLSchema. In concept it is similar to
+ JAXB for Java and CodeSynthesis XSD for C++.
+ .
+ The major goals of PyXB are:
+  * Provide a generated Python interface that is “Pythonic”, meaning similar to
+    one that would have been hand-written:
+    + Attributes and elements are Python properties, with name conflicts
+      resolved in favor of elements
+    + Elements with maxOccurs larger than 1 are stored as Python lists
+    + Bindings for type extensions inherit from the binding for the base type
+    + Enumeration constraints are exposed as class (constant) variables
+  * Support bi-directional conversion (document to Python and back)
+  * Allow easy customization of the generated bindings to provide functionality
+    along with content
+  * Support all XMLSchema features that are in common use, including:
+    + complex content models (nested all/choice/sequence)
+    + cross-namespace dependencies
+    + include and import directives
+    + constraints on simple types
+  * Validate the documents against their schema
+ .
+ This package contains the prebuilt Security Assertion Markup Language bindings
+ for Python3.
