=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	set -e ; \
@@ -12,12 +12,12 @@
 	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
 	done
 	dh_auto_build
-	PYTHONPATH=.:doc sphinx-build -b html -d _build/.doctrees -N doc _build/html
+	PYTHONPATH=.:doc python3 -m sphinx -b html -d _build/.doctrees -N doc _build/html
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
-	for py in $(shell pyversions -r); do \
+	for py in $(shell py3versions -r); do \
 		$$py setup.py test; \
 	done
 endif
