=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg// \
https://sf.net/pyxb/PyXB-(\d\S*)\.(?:tar\.(?:gz|bz2|xz))
